function byte VentanaSiNo(int iX, int iY, int iAncho, int iAlto, int iAnchoMarco, 
						string pointer pTexto, byte bLineas, string sTitulo)
//Dibuja una ventana centrada en la pantalla mostrando el texto dado y esperando a que se pulse "OK".
//iX, coordenada X, si cero, centrado.
//iY, coordenada Y, si cero, centrado.
//iAncho. Ancho de la ventana. Si cero, de acuerdo con el texto.
//iAlto. Alto de la ventana. Si cero, de acuerdo con el texto.
//pTexto. Puentro al array de cadenas de texto.
//bLineas. Nmero de lneas que contiene pTexto.


private
	boton iIdeBotonSi;
	boton iIdeBotonNo;
	MarcoVentana iIdeMarcoVentana;
	string sBotonSi[0]="Yes";
	string sBotonNo[0]="No";
	int iIdeTexto[50];
	int iTextLength;
	int iTextLengthTemp;
	byte bContador;
	byte bSiNo=0;
end

begin
	iTextZ=iTextZ-500;
	iDrawingZZ=iDrawingZZ-500;
	Text_z=iTextZ;
	Drawing_z(iDrawingZZ);
	signal(ALL_PROCESS,s_freeze);
	frame;
	bContador=0;
	iTextLength=0;

	while (bContador<bLineas)
		iTextLengthTemp=Text_Width(0,pTexto[bContador]);
		if (iTextLengthTemp>iTextLength)
			iTextLength=iTextLengthTemp;
		end
		bContador++;
	end
	if (iX==0)
		iX=(320-iTextLength)/2-20;
	end
	if (iY==0)
		iY=(120-(20+(bLineas+2)*10/2));
	end
	if (iAncho==0)
		iAncho=iTextLength+20;
	end
	if (iAlto==0)
		iAlto=20+(bLineas+2)*10;
	end
	if (iAnchoMarco==0)
		iAnchoMarco=4;
	end

	iIdeMarcoVentana=MarcoVentana(iX, iY, iAncho, iAlto, iAnchoMarco, sTitulo);
	frame;
	iIdeBotonSi=boton((iAncho-2)/2,20-2,&sBotonSi,1,0,4,rgb(212,208,200),0,7,0, iDrawingZZ-25, iTextZ-25);
	iIdeBotonSi.iX=iX+2;
	iIdeBotonSi.iY=iY+2+iAlto-20;
	iIdeBotonSi.bRepintar=1;
	iIdeBotonNo=boton((iAncho-2)/2,20-2,&sBotonNo,1,0,4,rgb(212,208,200),0,7,0, iDrawingZZ-25, iTextZ-25);
	iIdeBotonNo.iX=iX+2+(iAncho-2)/2;
	iIdeBotonNo.iY=iY+2+iAlto-20;
	iIdeBotonNo.bRepintar=1;
	bContador=0;
	while (bContador<=bLineas)
		iIdeTexto[bContador]=write(0,iX+iAncho/2,iY+iAlto/2-10,4,pTexto[0]);
		bContador++;
	end
	frame;
	
	while ((!iIdeBotonSi.bPulsado) and (!iIdeBotonNo.bPulsado))
		frame;
	end;
	if (iIdeBotonSi.bPulsado)
		bSiNo=1;
	else
		bSino=0;
	end
	while (iIdeBotonSi.bPulsado)
		frame;
	end;
	while (iIdeBotonNo.bPulsado)
		frame;
	end;
	bContador=0;
	while (bContador<=bLineas)
		Delete_Text(iIdeTexto[bContador]);
		bContador++;
	end

	if (exists (iIdeMarcoVentana))
		signal(iIdeMarcoVentana,s_kill_tree);
	end
	if (exists (iIdeBotonSi))
		signal(iIdeBotonSi,s_Kill_tree);
	end
	if (exists (iIdeBotonNo))
		signal(iIdeBotonNo,s_Kill_tree);
	end
	
	frame;
	signal(ALL_PROCESS,s_wakeup);
	frame;
	return bSiNo;
end
//------------------------------------------------------------------------------
