import "mod_video";
import "mod_video";
import "mod_screen";
import "mod_map";
import "mod_key";
import "mod_dir";
import "mod_text";
import "mod_mem";
import "mod_proc";
import "mod_draw";
import "mod_timers";
import "mod_sort";
import "mod_string";
import "mod_file";
import "mod_say";
import "mod_joy";
import "mod_draw";
import "mod_rand";
import "mod_regex";

type fichero  // estructura del fichero igual a la de Bennu
		STRING path;
		STRING name;
		STRING ext;
		directory;
		hidden;
		readonly;
		size;
		dirsize;
		dirfiles; // Nde archivos en ese directorio.
		STRING created;
		STRING modified;
		byte selected; // 0 no seleccionador, 1 si.
		string ordenNameUp; // Variable para ordenar.
		string ordenExt;
		string ordenSizeDown;
		string ordenSizeUp;
end

const
	_JKEY_UP = 0 ;
	_JKEY_UPLEFT = 1 ;
	_JKEY_LEFT = 2 ;
	_JKEY_DOWNLEFT = 3 ;
	_JKEY_DOWN = 4 ;
	_JKEY_DOWNRIGHT = 5 ;
	_JKEY_RIGHT = 6 ;
	_JKEY_UPRIGHT = 7 ;
	_JKEY_MENU = 8 ;
	_JKEY_SELECT = 9 ;
	_JKEY_L = 10 ;
	_JKEY_R = 11 ;
	_JKEY_A = 12 ;
	_JKEY_B = 13 ;
	_JKEY_X = 14 ;
	_JKEY_Y = 15 ;
	_JKEY_VOLUP = 16 ;
	_JKEY_VOLDOWN = 17 ;
	_JKEY_CLICK = 18 ;
	_JKEY_LAST = 19 ;

	Izquierdo=0;
	Derecho=1;

end
local
	byte bScala=1; // Si 1 se escala con el botn, si 0 no se escala.
	int bRepintar=0;
	int iX=0;
	int iY=0;
	byte bPulsado=0; // 0-No pulsado, 1-Pulsado.
	int iSalto; //Cantidad que debe de moverser iValor cualdo pulsamos para avance pgina.
	int iValor;
end
/* -------------------------------------------------------------------------- */

#define jkeys_controler()    _jkeys_old_version=1;jkeys_init()

/* -------------------------------------------------------------------------- */

global
    int _jkeys_exit = 0;
    int _jkeys_old_version = 0;
    int jkeys[_JKEY_LAST];
    int jkeys_state[_JKEY_LAST];
end

/* -------------------------------------------------------------------------- */
global
	string sDirectorioEnCurso;
	fichero pointer pdirectorio=0; // Puntero al directorio completo
	int nLineas;  // n de lneas de pantalla
	byte nAltoLinea; // n de pixeles a mover por linea.
	byte nSeparacionX; // n de pixeles desde el principio de la pantalla.
	byte nSeparacionY;
	byte nColumnas; //n de columnas de la pantalla
	string Pantalla[30][2]=""; // Pantalla virtual.
	byte pointer pLineaLeida; // Linea leida del fichero.
	int pointer pLineas; // Puntero a la tabla de lineas.
	int Puntero=0;    // Archivo que est actualmente seleccionado
	int PunteroAntiguo[100];
	int Profundidad=0;
	int primerArchivo; // 1er archivo visible
	int PrimerArchivoAntiguo[100];
	string mascara; // Mscara por defecto.
	fichero tipofichero;
	byte bRefrescar=0;
	
// BOTONERA. *********************
	int iDrawingZZ=-150;
	int iTextZ=-280;
	BarraDeslizante iBarraDeslizante=0;
	byte bOrdenarPor=0; // 0 Nombre Ascendete, 1 Nombre Descente, 2 Ext Ascendente, 3 Ext Descendente, 4 Size Ascentde, 5 Size Descente.
	Boton iIdeBotonName;
	Boton iIdeBotonExt;
	Boton iIdeBotonSize;

	Boton iIdeBotonView;
	Boton iIdeBotonChange;
	Boton iIdeBotonCopy;
	Boton iIdeBotonRen;
	Boton iIdeBotonMkdir;
	Boton iIdeBotonDel;
	Boton iIdeBotonExit;
	Boton iIdeBotonAbout;
	Boton iIdeBotonDirDestino;

// Varias
	int iNArchivosEnDirectorio=0; //N de archivos en el directorio.
	int cursor;
	int iDrawIde=0; // Caja cursor.
	int iBoxIde[30]=0; // Cajas sealizadoras.
	int iFuenteBlack=0;	//Ide de la fuente black.
	int iFuenteWhite=0; //Ide de la fuente white.
	int iFuenteRed=0; //Ide de la fuente Red.
	int iUltimaTeclaPulsada=0; // Ultima tecla pulsada.
	int iTiempoSinPulsar=0; // Tiempo desde la ltima pulsacin de tecla.
	char chBarra="\";
// Lnea de seleccionados.
	int iNTotalArchivosSeleccionados=0; //Total de archivos incluidos directorios y dentro de los directorios.
	int iDirectoriosSeleccionados=0;
	string sEstadisticas="Esto es una prueba";
	int n_Archivos;  //n de archivos total en el directorio (Incluido directorios)
	int iArchivosSeleccionados; //n de archivos seleccionados.
	int n_Directorios; //n de directorios.
	int iTotalKb; // Suma total de Kbs en el directorio.
	int iTotalKbSeleccionados; //Suma total de Kbs de ficheros seleccionados.
	int iIdeCuadroSeleccionado=0; //Marca la columna que es la del orden predominante.
// Ventana progreso copia.
	string sProgresoOrigen; 	// Variable que contiene el texto de la primera barra.
	string sProgresoDestino; 	// Variable que contiene el texto de la segunda barra.
	dword dValorOrigen;			// Valor a mostrar en la barra Origen de 0 a 100.
	dword dValorParcialDestino=0;	// Valor parcial del total del destino.
	dword dValorDestino=0;		// Valor a mostrar en la barra Destino de 0 a 100.
	dword dValorTotalDestino=0;	// Valor total de lo que vamos a copiar.
	byte bAbortar=0;			// Si 1 se aborta el proceso de copia.
	byte bQueHacerSiExiste=0;	//Que hacer si el fichero existe. 0==preguntar.
	barra iBarraOrigen;			// Barra 1.
	barra iBarraDestino;		// Barra 2.

end

private
	int tiempo=0;
	int contador;
	string borrame;
	int iBarraDeslizanteValor=0;
	int iContador;
end

include "declare.prg";
include "Varios.prg";
include "boton.prg";
include "BarraDeslizante.prg";
include "BarraDeslizanteHorizontal.prg";
include "VentanaMensaje.prg";
include "VentanaSiNo.prg";
include "SelectDir.prg";
include "pidetexto.prg";
include "Copiar.prg";
include "cajadetexto.prg";
include "About.prg";
include "Borrar.prg";
include "FicheroTexto.prg";

process Main()

begin
	if (os_id==OS_GP2X_WIZ or os_id==OS_CAANOO)
		chBarra="/";
	else
		chBarra="\";
	end
	cursor=load_fpg("cursors.fpg");
	raton();
	salida();
	Drawing_z(iDrawingZZ);
	Text_z=iTextZ;
		//set_mode(320,240,16);
		iFuenteBlack=load_fnt(cd()+"/fuentes/TerminalBlack.fnt");
		iFuenteWhite=load_fnt(cd()+"/fuentes/TerminalWhite.fnt");
		iFuenteRed=load_fnt(cd()+"/fuentes/TerminalRed.fnt");
		Botones();
		set_text_color(rgb(0,0,0));
		sDirectorioEnCurso=cd();
		if (substr(sDirectorioEnCurso,len(sDirectorioEnCurso)-1,1)!=chBarra)
			sDirectorioEnCurso=sDirectorioEnCurso+chBarra;
		end
		set_fps(30,0);
		jkeys_set_default_keys();
		//jkeys_controller();
		jkeys_init();
		nLineas=20;  // n de lneas de pantalla
		nAltoLinea=12;
		nSeparacionX=1;
		nSeparacionY=1;
		nColumnas=63; //n de columnas de la pantalla
		chdir("."); //seleccionamos una carpeta, que es la superior a la actual
		
		Free(pLineaLeida);
		pLineaLeida=alloc(100); //100 es un mximo arbitrario
		// Si alloc=0 ERROR
		if (pLineaLeida ==0)
			write(0,0,0,0,"Error allocando memoria, ESC para salir");
			while(!jkeys_state[_JKEY_MENU]) frame; end
			exit();
		end
		//Inicializando.
		Inicializar();
		iContador=0;
		//Inicializando variables de pantalla.
		while (iContador<nLineas)
			Write_var(iFuenteBlack,nSeparacionY,icontador*nAltoLinea+nSeparacionX,0,Pantalla[iContador][0]); //escribimos el nombre del archivo
			Write_var(iFuenteBlack,213,icontador*nAltoLinea+nSeparacionX,0,Pantalla[iContador][1]);//su tipo
			Write_var(iFuenteBlack,304,icontador*nAltoLinea+nSeparacionX,2,Pantalla[iContador][2]);//su tamao
			iContador++;
		end

		repeat
			if (KeyPausa(_JKEY_down))
				Puntero++;
				PintaDirectorio();
			end
			if (KeyPausa(_JKEY_up))
				Puntero--;
				PintaDirectorio();
			end
			if (KeyPausa(_JKEY_LEFT))
				Puntero=Puntero-nLineas;
				PintaDirectorio();
			end
			if (KeyPausa(_JKEY_right))
				Puntero=Puntero+nLineas;
				PintaDirectorio();
			end
			if (jkeys_state[_JKEY_Y] and pdirectorio[(Puntero+primerArchivo)].name!="..")
				if ((pdirectorio[(Puntero+primerArchivo)].Directory==1)and(pdirectorio[(Puntero+primerArchivo)].size==0)and(pdirectorio[(Puntero+primerArchivo)].name!=".."))
					iNArchivosEnDirectorio=0;
					if (pdirectorio[(Puntero+primerArchivo)].ext=="")
						pdirectorio[(Puntero+primerArchivo)].size=CalculaSizeDirectorio(pdirectorio[(Puntero+primerArchivo)].name);
					else
						pdirectorio[(Puntero+primerArchivo)].size=CalculaSizeDirectorio(pdirectorio[(Puntero+primerArchivo)].name+"."+pdirectorio[(Puntero+primerArchivo)].ext);
					end
					pdirectorio[(Puntero+primerArchivo)].dirfiles=iNArchivosEnDirectorio+1;
				end
				if (pdirectorio[(Puntero+primerArchivo)].Selected==0)
					pdirectorio[(Puntero+primerArchivo)].Selected=1;
					if (pdirectorio[(Puntero+primerArchivo)].Directory==0)
						iNTotalArchivosSeleccionados++;
						iArchivosSeleccionados++; 
					else
						iNTotalArchivosSeleccionados=iNTotalArchivosSeleccionados+pdirectorio[(Puntero+primerArchivo)].dirfiles;
						iDirectoriosSeleccionados++;
					end
					iTotalKbSeleccionados=iTotalKbSeleccionados+pdirectorio[(Puntero+primerArchivo)].size/1024;
				else
					pdirectorio[(Puntero+primerArchivo)].Selected=0;
					if (pdirectorio[(Puntero+primerArchivo)].Directory==0)
						iNTotalArchivosSeleccionados--;
						iArchivosSeleccionados--; 
					else
						iNTotalArchivosSeleccionados=iNTotalArchivosSeleccionados-pdirectorio[(Puntero+primerArchivo)].dirfiles;
						iDirectoriosSeleccionados--;
					end
					iTotalKbSeleccionados=iTotalKbSeleccionados-pdirectorio[(Puntero+primerArchivo)].size/1024;
				end
				sEstadisticas=iTotalKbSeleccionados+" of "+iTotalKb+" Kb in "+iArchivosSeleccionados+" of "+(n_Archivos-n_Directorios)+" files selected";
				PintaDirectorio();
				while (jkeys_state[_JKEY_Y]) frame; end;
			end;
			if (jkeys_state[_JKEY_B] and (pDirectorio[Puntero+primerArchivo].directory==1))
				if (pDirectorio[Puntero+primerArchivo].name=="..")
					chdir("..");
					inicializar();
					Profundidad--;
					IF (Profundidad<0)
						Profundidad=0;
						Puntero=0;
						PrimerArchivo=0;
					ELSE
						//free(Puntero);
						Puntero=PunteroAntiguo[Profundidad];
						PrimerArchivo=PrimerArchivoAntiguo[Profundidad];
					END
					PintaDirectorio();
				else
					if (pDirectorio[Puntero+primerArchivo].ext=="")
						chdir(pDirectorio[Puntero+primerArchivo].name);
					else
						chdir(pDirectorio[Puntero+primerArchivo].name+"."+pDirectorio[Puntero+primerArchivo].ext);
					end
					PunteroAntiguo[Profundidad]=Puntero;
					PrimerArchivoAntiguo[Profundidad]=PrimerArchivo;
					Profundidad++;
					inicializar();
				end
				while (jkeys_state[_JKEY_B]) frame; end;
			elseif (jkeys_state[_JKEY_B])
				//muestraFichero();
				Pintadirectorio();
				frame;
			end
			IF (jkeys_state[_JKEY_X])
				chdir("..");
				//delete_text(0);
				inicializar();
				Profundidad--;
				IF (Profundidad<0)
					Profundidad=0;
					Puntero=0;
					PrimerArchivo=0;
				ELSE
					//free(Puntero);
					Puntero=PunteroAntiguo[Profundidad];
					PrimerArchivo=PrimerArchivoAntiguo[Profundidad];
				END
				PintaDirectorio();
				while (jkeys_state[_JKEY_X]) frame; end;
			END

			if (PrimerArchivo!=iBarraDeslizante.iValor)
				PrimerArchivo=iBarraDeslizante.iValor;
				//Puntero=PrimerArchivo;
				PintaDirectorio();
			end
			if (bRefrescar)
				bRefrescar=0;
				Inicializar();
				PintaDirectorio();
			end

			FRAME;
	until (jkeys_state[_JKEY_MENU])
	exit();
end
//------------------------------------------------------------------------------
function CalculaSizeDirectorio(string sOrigen)
// Devuelve el tamnao del directorio en curso.
// Devuelve tambin en variable globar iNArchivosEnDirectorio el nmero de archivos, incluido directorios.
private 
	int iTamano=0;
	int iContador=0;
	int iContador2=0;
	string Archivo;
end

begin
	cd(sOrigen);
	Archivo=glob("");
	Archivo=glob(mascara);
	while (Archivo!="") /*buscamos un archivo cuyo nombre respete el patrn indicado*/
		if((fileinfo.name!=".")and(fileinfo.name!=".."))
			iNArchivosEnDirectorio++;
			if (fileinfo.directory)
				iContador2=0;
				iTamano=iTamano+CalculaSizeDirectorio(fileinfo.name);
				Archivo=glob("");
				Archivo=glob(mascara);
				while (iContador2<iContador)
					Archivo=glob(mascara);
					iContador2++;
				end
			end
		end
		iContador++;
		iTamano=iTamano+fileinfo.size;
		Archivo=glob(mascara);
	end;
	chdir("..");
	return iTamano;
end		

//------------------------------------------------------------------------------
PROCESS Botones()
//Pinta los botones de la pantalla.
private
	int iContador;
	int x1,y1;
	byte bLineas;
	byte bSeparacion;
	byte bCoordenadaYBotonDown;
	byte bCoordenadaYBotonUp;
	//Botones arriba.
	string sBotonUp1[0]="";
	string sBotonUp2[0]="";
	string sBotonUp3[0]="";
	//Botones abajo.
	string sBotonDonw1[0]="";
	string sBotonDonw2[0]="";
	string sBotonDonw3[0]="";
	string sBotonDonw4[0]="";
	string sBotonDonw5[0]="";
	string sBotonDonw6[0]="";
	string sBotonDonw7[0]="";
	string sBotonDonw8[0]="";

	string sDirDestino="D:\Borrame\";
	STRING sDirIntercambio="";
	string sVentanaMensaje[0]="";
	string sDirectorio;
	byte bSiNo;
	caja_de_texto CajaTexto;
	string sFicheroTexto="";
	string sNombreOrigen="";
	string sNombreDestino="";
end

begin
// Botones arriba.	
	sBotonUp1[0]="NOMBRE";
	sBotonUp2[0]="EXT";
	sBotonUp3[0]="     SIZE     ";
	//            32.123.123.123
// Botones abajo.
	sBotonDonw1[0]="VIEW ";
	sBotonDonw2[0]="CHANGE";
	sBotonDonw3[0]="COPY ";
	sBotonDonw4[0]="RENAME";
	sBotonDonw5[0]="MKDIR ";
	sBotonDonw6[0]="DEL ";
	sBotonDonw7[0]="EXIT  ";
	sBotonDonw8[0]="ABOUT";
	
	bLineas=1;//sizeof(sTexto3)/sizeof(sTexto3[0]);
	bSeparacion=2;
	delete_draw(0);

	drawing_z(iDrawingZZ+50);
	drawing_color(rgb(10,36,106));
	draw_box(0,0,320,14);
	draw_box(0,190,320,206);
	
	drawing_color(rgb(255,255,255));
	draw_box(0,30,320,190);

	drawing_color(rgb(212,208,200));
	draw_box(0,16,320,240);

	frame;
	set_text_color(rgb(255,255,255));
	write_var(iFuenteWhite,2,8,3,sDirectorioEnCurso); //Directorio en curso.
	write_var(iFuenteWhite,2,199,3,sEstadisticas); //Ficheros seleccionados.
	set_text_color(rgb(0,0,0));
	
//Botones arriba.
	bCoordenadaYBotonUp=16;
	iIdeBotonName=boton(208,0,&sBotonUp1,bLineas,iFuenteBlack,3,rgb(212,208,200),0,bSeparacion,0, iDrawingZZ, iTextZ);
	iIdeBotonName.iX=0;
	iIdeBotonName.iY=bCoordenadaYBotonUp;
	iIdeBotonName.bRepintar=1;

	iIdeBotonExt=boton(30,0,&sBotonUp2,bLineas,iFuenteBlack,3,rgb(212,208,200),0,bSeparacion,0, iDrawingZZ, iTextZ);
	iIdeBotonExt.iX=209;
	iIdeBotonExt.iY=bCoordenadaYBotonUp;
	iIdeBotonExt.bRepintar=1;

	iIdeBotonSize=boton(80,0,&sBotonUp3,bLineas,iFuenteBlack,3,rgb(212,208,200),0,bSeparacion,0, iDrawingZZ, iTextZ);
	iIdeBotonSize.iX=240;
	iIdeBotonSize.iY=bCoordenadaYBotonUp;
	iIdeBotonSize.bRepintar=1;
	
//Botones abajo.
	//Botn destino.
	iIdeBotonDirDestino=boton(320,0,&sDirDestino,bLineas,iFuenteBlack,3,rgb(212,208,200),0,bSeparacion,0, iDrawingZZ, iTextZ);
	iIdeBotonDirDestino.iX=0;
	iIdeBotonDirDestino.iY=207;
	iIdeBotonDirDestino.bRepintar=1;

	bCoordenadaYBotonDown=224;
	iIdeBotonView=boton(37,0,&sBotonDonw1,bLineas,iFuenteBlack,3,rgb(212,208,200),0,bSeparacion,0, iDrawingZZ, iTextZ);
	iIdeBotonView.iX=0;
	iIdeBotonView.iY=bCoordenadaYBotonDown;
	iIdeBotonView.bRepintar=1;

	iIdeBotonChange=boton(37,0,&sBotonDonw2,bLineas,iFuenteBlack,3,rgb(212,208,200),0,bSeparacion,0, iDrawingZZ, iTextZ);
	iIdeBotonChange.iX=38;
	iIdeBotonChange.iY=bCoordenadaYBotonDown;
	iIdeBotonChange.bRepintar=1;

	iIdeBotonCopy=boton(38,0,&sBotonDonw3,bLineas,iFuenteBlack,3,rgb(212,208,200),0,bSeparacion,0, iDrawingZZ, iTextZ);
	iIdeBotonCopy.iX=76;
	iIdeBotonCopy.iY=bCoordenadaYBotonDown;
	iIdeBotonCopy.bRepintar=1;

	iIdeBotonRen=boton(50,0,&sBotonDonw4,bLineas,iFuenteBlack,3,rgb(212,208,200),0,bSeparacion,0, iDrawingZZ, iTextZ);
	iIdeBotonRen.iX=115;
	iIdeBotonRen.iY=bCoordenadaYBotonDown;
	iIdeBotonRen.bRepintar=1;

	iIdeBotonMkdir=boton(45,0,&sBotonDonw5,bLineas,iFuenteBlack,3,rgb(212,208,200),0,bSeparacion,0, iDrawingZZ, iTextZ);
	iIdeBotonMkdir.iX=166;
	iIdeBotonMkdir.iY=bCoordenadaYBotonDown;
	iIdeBotonMkdir.bRepintar=1;

	iIdeBotonDel=boton(30,0,&sBotonDonw6,bLineas,iFuenteBlack,3,rgb(212,208,200),0,bSeparacion,0, iDrawingZZ, iTextZ);
	iIdeBotonDel.iX=212;
	iIdeBotonDel.iY=bCoordenadaYBotonDown;
	iIdeBotonDel.bRepintar=1;

	iIdeBotonExit=boton(37,0,&sBotonDonw7,bLineas,iFuenteBlack,3,rgb(212,208,200),0,bSeparacion,0, iDrawingZZ, iTextZ);
	iIdeBotonExit.iX=243;
	iIdeBotonExit.iY=bCoordenadaYBotonDown;
	iIdeBotonExit.bRepintar=1;

	iIdeBotonAbout=boton(39,0,&sBotonDonw8,bLineas,iFuenteBlack,3,rgb(212,208,200),0,bSeparacion,0, iDrawingZZ, iTextZ);
	iIdeBotonAbout.iX=281;
	iIdeBotonAbout.iY=bCoordenadaYBotonDown;
	iIdeBotonAbout.bRepintar=1;

	loop
		iDrawingZZ=-150;
		iTextZ=-280;
		Drawing_z(iDrawingZZ);
		Text_z=iTextZ;
		//Pulsado botn 'ordenar por nombre'.
		if (iIdeBotonName.bPulsado and bOrdenarpor!=0)
			while (iIdeBotonName.bPulsado)
				frame;
			end
			bOrdenarpor=0;
			//inicializar();
			Ordenar();
			PintaDirectorio();
		end
		//Pulsado botn 'ordenar por extensin'.
		if (iIdeBotonExt.bPulsado and bOrdenarpor!=2)
			while (iIdeBotonExt.bPulsado)
				frame;
			end
			bOrdenarPor=2;
			Ordenar();
			PintaDirectorio();
		end
		//Pulsado botn 'ordenar por tamao'.
		if (iIdeBotonSize.bPulsado)
			while (iIdeBotonSize.bPulsado)
				frame;
			end
			if (bOrdenarPor==4)
				bOrdenarPor=5;
			else
				bOrdenarPor=4;
			end
			//inicializar();
			Ordenar();
			PintaDirectorio();
		end
		//Pulsado botn 'directorio de destino'.
		if (iIdeBotonDirDestino.bPulsado)
			while (iIdeBotonDirDestino.bPulsado)
				frame;
			end
			sDirDestino=SelectDir(sDirDestino);
			iIdeBotonDirDestino.bRepintar=1;
			frame;
		end
		//Pulsado botn 'ver fichero'.
		if (iIdeBotonView.bPulsado)
			while (iIdeBotonView.bPulsado)
				frame;
			end
			if (!pDirectorio[(Puntero+primerArchivo)].directory)
				// Miro el tamao.
				if (pDirectorio[(Puntero+primerArchivo)].size<200000)
					// Si no es un fichero de texto lo reformateo.
					if (EsFicheroDe(sDirectorioEnCurso+pDirectorio[(Puntero+primerArchivo)].name+"."
									+pDirectorio[(Puntero+primerArchivo)].ext)==0)
						TransformaFicheroEnTexto(sDirectorioEnCurso+
									pDirectorio[(Puntero+primerArchivo)].name+"."
									+pDirectorio[(Puntero+primerArchivo)].ext);
						sFicheroTexto=File("temporal.tmp");
						if(bAbortar==0)
							CajaTexto=Caja_De_Texto(0,320,0,240,sFicheroTexto,iFuenteBlack,15);
							rm("temporal.tmp");
						end
					else
						// Leo fichero en variable.
						sFicheroTexto=File(sDirectorioEnCurso+pDirectorio[(Puntero+primerArchivo)].name+"."
										+pDirectorio[(Puntero+primerArchivo)].ext);
						CajaTexto=Caja_De_Texto(0,320,0,240,sFicheroTexto,iFuenteBlack,15);
					end
				else
					sVentanaMensaje[0]="File to big max. 200.000 chars";
					VentanaMensaje(0,0,0,0,0,&sVentanaMensaje,1,"Error");
				end
			end
		end
		// Pulsado botn 'crear directorio'.
		if (iIdeBotonMkdir.bPulsado)
			frame;
			sDirectorio=PideTexto("");
			frame;
			if (sDirectorio!="")
				if(MkDir(sDirectorio))
					sVentanaMensaje[0]="Error: Directory not created!";
					VentanaMensaje(0,0,0,0,0,&sVentanaMensaje,1,"Error");
				else
					bRefrescar=1;
				end
			end
			while (iIdeBotonMkDir.bPulsado)
				frame;
			end
		end
		//Pulsado botn 'borrar'.
		if (iIdeBotonDel.bPulsado)
			frame;
			if (borrar())
				bRefrescar=1;
			end
			while (iIdeBotonDel.bPulsado)
				frame;
			end
		end
		//Pulsado botn 'copiar'.
		if (iIdeBotonCopy.bPulsado)
			frame;
			bAbortar=0;
			Copiar(sDirDestino);
			while (iIdeBotonCopy.bPulsado)
				frame;
			end
		end
		//Pulsado botn 'change'.
		if (iIdeBotonChange.bPulsado)
			frame;
			Profundidad=0;
			Puntero=0;
			PrimerArchivo=0;
			sDirIntercambio=sDirDestino;
			sDirDestino=cd();
			if (substr(sDirDestino,len(sDirDestino)-1,1)!=chBarra)
				sDirDestino=sDirDestino+chBarra;
			end
			cd(sDirIntercambio);
			Inicializar();
			PintaDirectorio();
			iIdeBotonDirDestino.bRepintar=1;
			while (iIdeBotonChange.bPulsado)
				frame;
			end
		end
		//Pulsado botn 'ABOUT'.
		if (iIdeBotonAbout.bPulsado)
			frame;
			About();
			while (iIdeBotonAbout.bPulsado)
				frame;
			end
		end
		//Pulsado botn 'EXIT'.
		if (iIdeBotonExit.bPulsado)
			frame;
			while (iIdeBotonExit.bPulsado)
				frame;
			end
			exit();
		end
		// Pulsado botn 'RENAME'.
		if (iIdeBotonRen.bPulsado and pDirectorio[(Puntero+primerArchivo)].name!="..")
			frame;
			if (pDirectorio[(Puntero+primerArchivo)].ext=="")
				sNombreOrigen=pDirectorio[(Puntero+primerArchivo)].name;
			else
				sNombreOrigen=pDirectorio[(Puntero+primerArchivo)].name+"."
											+pDirectorio[(Puntero+primerArchivo)].ext;
			end
			sNombreDestino=PideTexto(sNombreOrigen);
			frame;
			if (sNombreDestino!="")
				if(fmove(SNombreOrigen,sNombreDestino))
					sVentanaMensaje[0]="Error Renaming!";
					VentanaMensaje(0,0,0,0,0,&sVentanaMensaje,1,"Error");
				else
					bRefrescar=1;
				end
			end
			while (iIdeBotonRen.bPulsado)
				frame;
			end
		end
		frame;
	end
end
//------------------------------------------------------------------------------
function n_Archivos()
// Devuelve del n de archivos en el directorio en curso.
private 
	int contador=0;
	string Archivo;
end

begin
	sDirectorioEnCurso=Cd();
	if (substr(sDirectorioEnCurso,len(sDirectorioEnCurso)-1,1)!=chBarra)
		sDirectorioEnCurso=sDirectorioEnCurso+chBarra;
	end
	n_Directorios=0;
	iTotalKb=0;
	iArchivosSeleccionados=0;
	iDirectoriosSeleccionados=0;
	iTotalKbSeleccionados=0;
	Archivo=glob("");
	Archivo=glob(mascara);
	while (Archivo!="") /*buscamos un archivo cuyo nombre respete el patrn indicado*/
		if (fileinfo.directory)
			n_Directorios++;
		end
		if (fileinfo.name==".")
			contador--;
			n_Directorios--;
		end
		iTotalKb=iTotalKb+fileinfo.size/1024;
		Archivo=glob(mascara);
		contador++;
	end;
	n_Archivos=contador;
	sEstadisticas=iTotalKbSeleccionados+" of "+iTotalKb+" Kb in "+iArchivosSeleccionados+" of "+(n_Archivos-n_Directorios)+" files selected";
	//return contador;
end		
//------------------------------------------------------------------------------
function Inicializar()

private
	int iContador=0;
	BarraDeslizante iBarraDeslizanteTemporal=0;
	int iValorMaximo=0; //Valor mximo de la barra deslizante.
end

begin
		Puntero=0;    // Archivo que est actualmente seleccionado
		n_Archivos=0;  //n de archivos total en el directorio (Incluido directorios)
		primerArchivo=0; // 1er archivo visible
		mascara="*.*"; // Mscara por defecto.

		Pantalla();
		while (iContador<nLineas)
			Pantalla[iContador][0]="";
			Pantalla[iContador][1]="";
			Pantalla[iContador][2]="";
			iContador++;
		end

		n_Archivos(); // A ver cuantos entradas encuentro
		if (n_archivos<nLineas)
			iValorMaximo=0;
		else
			iValorMaximo=n_archivos-nLineas;
		end
		if (Exists(iBarraDeslizante))
			iBarraDeslizanteTemporal=Barra_Deslizante(305,15,32,159,0,0,0,0,0,iValorMaximo,0, -150, iTextZ);
			iBarraDeslizanteTemporal.iSalto=10;
			frame;
			if (exists(iBarraDeslizante))
				signal(iBarraDeslizante,s_kill_tree);
			end
			frame;
			iBarraDeslizante=iBarraDeslizanteTemporal;
		else
			iBarraDeslizante=Barra_Deslizante(305,15,32,159,0,0,0,0,0,iValorMaximo,0, -150, iTextZ);
			iBarraDeslizante.iSalto=10;
		end

		// Reservando memoria para el directorio

		if(pDirectorio!=0)
			Free(pDirectorio);
		end
		pdirectorio=calloc(sizeof(tipofichero),n_Archivos);
		// Si alloc=0 ERROR
		if (pdirectorio ==0)
			write(0,0,0,0,"Error allocando memoria, ESC para salir");
			while(!jkeys_state[_JKEY_MENU]) frame; end
			exit();
		end
		
		// Llenamos la lista
		rellenaDirectorio();
		//Pantalla();
		PintaDirectorio();
end

//-------------------------------------------------------------------------------------		
function rellenaDirectorio()
// Devuelve puntero al directorio relleno
private 
	int contador=0;
	string Archivo;
	int iContador2=0;
	int iLongitud=0;
	string sTrozos[9];
	int iTrozos;
end

begin
	Archivo=glob("");
	Archivo=glob(mascara);
	while (Archivo!="") /*buscamos un archivo cuyo nombre respete el patrn indicado*/
		if (fileinfo.name!=".")
			iTrozos=split("\.",fileinfo.name,&sTrozos,9);
			if ((iTrozos>1)and(fileinfo.name!=".."))
				pdirectorio[contador].ext=sTrozos[iTrozos-1];
				iTrozos--;
				
				while (iTrozos>=1)
					if(pDirectorio[contador].name=="")
						pdirectorio[contador].name=sTrozos[iTrozos-1];
					else
						pdirectorio[contador].name=sTrozos[iTrozos-1]+"."+pdirectorio[contador].name;
					end
					iTrozos--;
				end
			else
				pdirectorio[contador].name=fileinfo.name;
				pdirectorio[contador].ext="";
			end
			pdirectorio[contador].created=fileinfo.created;
			pdirectorio[contador].selected=0;
			pdirectorio[contador].directory=fileinfo.directory;
			if (fileinfo.directory==0)
				pdirectorio[contador].ordenNameUp="1"+ucase(fileinfo.name);
				pdirectorio[contador].size=fileinfo.size;
				pdirectorio[contador].ordenSizeDown="1"+regex_replace(" ","0",lpad(atoi(fileinfo.size),9));
				pdirectorio[contador].ordenSizeUp="1"+regex_replace(" ","9",lpad(atoi(fileinfo.size),9));
				pdirectorio[contador].ordenExt="1"+ucase(pdirectorio[contador].ext);
			else
				pdirectorio[contador].ordenNameUp="0"+ucase(fileinfo.name);
				pdirectorio[contador].size=0;
				pdirectorio[contador].ordenSizeDown="0"+regex_replace(" ","0",lpad(atoi(fileinfo.size),9));
				pdirectorio[contador].ordenSizeUp="0"+regex_replace(" ","9",lpad(atoi(fileinfo.size),9));
				pdirectorio[contador].ordenExt="0DIR";
			end
			contador++;
			Archivo=glob(mascara);
		else
			Archivo=glob(mascara);
		end
	end;

		Ordenar();
end		
//--------------------------------------------------------------------------------------
function Ordenar()
begin
	drawing_z(iDrawingZZ+20);
	drawing_color(rgb(235,235,255));
	switch (bOrdenarPor)
		case 0: // 0 Nombre Ascendete
			if (iIdeCuadroSeleccionado!=0)
				delete_draw(iIdeCuadroSeleccionado);
				iIdeCuadroSeleccionado=0;
			end
			iIdeCuadroSeleccionado=draw_box(0,30,207,189);
			ksort(pdirectorio,pdirectorio[0].ordenNameUp,n_archivos);
		end
		case 2: // 2 Ext Ascendente
			if (iIdeCuadroSeleccionado!=0)
				delete_draw(iIdeCuadroSeleccionado);
				iIdeCuadroSeleccionado=0;
			end
			iIdeCuadroSeleccionado=draw_box(208,30,237,189);
			ksort(pdirectorio,pdirectorio[0].ordenExt,n_archivos);
			ksort(pdirectorio,pdirectorio[0].ordenNameUP,n_Directorios);
		end
		case 4: // 4 Size Ascentde
			if (iIdeCuadroSeleccionado!=0)
				delete_draw(iIdeCuadroSeleccionado);
				iIdeCuadroSeleccionado=0;
			end
			iIdeCuadroSeleccionado=draw_box(240,30,304,189);
			ksort(pdirectorio,pdirectorio[0].ordenSizeDown,n_archivos);	
			ksort(pdirectorio,pdirectorio[0].ordenNameUP,n_Directorios);
		end
		case 5: // 4 Size Ascentde
			if (iIdeCuadroSeleccionado!=0)
				delete_draw(iIdeCuadroSeleccionado);
				iIdeCuadroSeleccionado=0;
			end
			iIdeCuadroSeleccionado=draw_box(240,30,304,189);
			ksort(pdirectorio,pdirectorio[0].ordenSizeUp,n_archivos);	
			ksort(pdirectorio,pdirectorio[0].ordenNameUP,n_Directorios);
		end
	end
end
//--------------------------------------------------------------------------------------
function pintaDirectorio()
// Pinta al directorio relleno
private 
	int contador=0;
	int contador2=0;
	string nombre;
	string sExt;
	int iMarco=1;
end

begin
	drawing_z(iDrawingZZ-1);
	//delete_text(0);
	if (Puntero>=nLineas)
		PrimerArchivo=PrimerArchivo+Puntero-nLineas+1;
		Puntero=nLineas-1;
	end
	if (Puntero<0)
		PrimerArchivo=PrimerArchivo+Puntero;
		Puntero=0;
	end
	if (PrimerArchivo+Puntero>=n_Archivos)
		PrimerArchivo=n_Archivos-nLineas;
		Puntero=nLineas-1;
		if (Puntero>=n_Archivos)
			Puntero=n_Archivos-1;
		end
	end;
	if (PrimerArchivo<0)
		PrimerArchivo=0;
	end

	while (contador<nLineas)
		if (iBoxIde[contador]!=0)
			delete_draw(iBoxIde[contador]);
			iBoxIde[contador]=0;
		end
		contador++;
	end
	contador=0;
	
	while ((contador<nLineas) and ((contador+primerArchivo)<n_Archivos))		
		nombre=pdirectorio[(contador+primerArchivo)].name;
		sExt=pdirectorio[(contador+primerArchivo)].Ext;
		if (text_Width(iFuenteBlack,nombre)>170)
			contador2=0;
			while (text_width(iFuenteBlack,substr(nombre,0,len(nombre)-contador2))>170)
					contador2++;
			end
			nombre=substr(nombre,0,len(nombre)-contador2)+"...";
		end
		if (contador==Puntero)
				if (iDrawIde!=0)
					delete_draw(iDrawIde);
					iDrawIde=0;
				end
				//drawing_color(rgb(255,100,100));
				drawing_color(rgb(255,0,0));
				iDrawIde=draw_rect(0,contador*nAltoLinea+nSeparacionX-2,304,(contador+1)*nAltoLinea+nSeparacionX-2);
				iBarraDeslizante.iValor=PrimerArchivo;
				iBarraDeslizante.bRepintar=1;
		end
			IF (pdirectorio[(contador+primerArchivo)].Selected==1)
				drawing_color(rgb(255,200,200));
				iBoxIde[Contador]=draw_box(0+iMarco,contador*nAltoLinea+nSeparacionX-2+iMarco,304-iMarco,(contador+1)*nAltoLinea+nSeparacionX-1-iMarco);
				if (pdirectorio[(contador+primerArchivo)].directory==1)
					if(pdirectorio[(contador+primerArchivo)].ext=="")
						Pantalla[contador][0]=("[ "+nombre+" ]"); //escribimos el nombre del archivo
					else
						Pantalla[contador][0]=("[ "+nombre+"."+sExt+" ]"); //escribimos el nombre del archivo
					end
					Pantalla[contador][1]=("DIR");
					if (pdirectorio[(contador+primerArchivo)].size==0)
						Pantalla[contador][2]="";
					else
						Pantalla[contador][2]=itos(pdirectorio[(contador+primerArchivo)].size);
					end
					//Pantalla[contador][2]="";
				else
					Pantalla[contador][0]=(nombre); //escribimos el nombre del archivo
					Pantalla[contador][1]=(sExt);
					Pantalla[contador][2]=itos(pdirectorio[(contador+primerArchivo)].size);//y su tamao.
				end

			ELSE
				IF (pdirectorio[(contador+primerArchivo)].directory==1)
					if(pdirectorio[(contador+primerArchivo)].ext=="")
						Pantalla[contador][0]=("[ "+nombre+" ]"); /*escribimos el nombre del archivo*/
					else
						Pantalla[contador][0]=("[ "+nombre+"."+sExt+" ]"); //escribimos el nombre del archivo
					end
					Pantalla[contador][1]=("DIR");/*y su fecha y hora de creacin*/
					if (pdirectorio[(contador+primerArchivo)].size==0)
						Pantalla[contador][2]="";
					else
						Pantalla[contador][2]=itos(pdirectorio[(contador+primerArchivo)].size);
					end
				ELSE
					Pantalla[contador][0]=(nombre); /*escribimos el nombre del archivo*/
					Pantalla[contador][1]=(sExt);
					Pantalla[contador][2]=itos(pdirectorio[(contador+primerArchivo)].size);
				end
			end
//		end
		contador++;
	end;
	return;
end		
		
//--------------------------------------------------------------------------------------
function Pantalla();

private
end

begin
	nLineas=12;  // n de lneas de pantalla
	nAltoLinea=13;
	nSeparacionX=33;
	nSeparacionY=2;
	nColumnas=63; //n de columnas de la pantalla
end
//--------------------------------------------------------------------------------------
